Skip to content
Start here

Retrieve all labels

client.APIGateway.Labels.List(ctx, params) (*V4PagePaginationArray[LabelListResponse], error)
GET/zones/{zone_id}/api_gateway/labels

Retrieve all labels

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayAccount API Gateway ReadDomain API GatewayDomain API Gateway Read
ParametersExpand Collapse
params LabelListParams
ZoneID param.Field[string]

Path param: Identifier.

maxLength32
Direction param.Field[LabelListParamsDirection]optional

Query param: Direction to order results.

const LabelListParamsDirectionAsc LabelListParamsDirection = "asc"
const LabelListParamsDirectionDesc LabelListParamsDirection = "desc"
Filter param.Field[string]optional

Query param: Filter for labels where the name or description matches using substring match

Order param.Field[LabelListParamsOrder]optional

Query param: Field to order by

const LabelListParamsOrderName LabelListParamsOrder = "name"
const LabelListParamsOrderDescription LabelListParamsOrder = "description"
const LabelListParamsOrderCreatedAt LabelListParamsOrder = "created_at"
const LabelListParamsOrderLastUpdated LabelListParamsOrder = "last_updated"
const LabelListParamsOrderMappedResourcesOperations LabelListParamsOrder = "mapped_resources.operations"
Page param.Field[int64]optional

Query param: Page number of paginated results.

minimum1
PerPage param.Field[int64]optional

Query param: Maximum number of results per page.

maximum50
minimum5
Source param.Field[LabelListParamsSource]optional

Query param: Filter for labels with source

const LabelListParamsSourceUser LabelListParamsSource = "user"
const LabelListParamsSourceManaged LabelListParamsSource = "managed"
WithMappedResourceCounts param.Field[bool]optional

Query param: Include mapped_resources for each label

ReturnsExpand Collapse
type LabelListResponse struct{…}
CreatedAt Time
formatdate-time
Description string

The description of the label

LastUpdated Time
formatdate-time
Metadata unknown

Metadata for the label

Name string

The name of the label

Source LabelListResponseSource
  • user - label is owned by the user
  • managed - label is owned by cloudflare
One of the following:
const LabelListResponseSourceUser LabelListResponseSource = "user"
const LabelListResponseSourceManaged LabelListResponseSource = "managed"
MappedResources unknownoptional

Provides counts of what resources are linked to this label

Retrieve all labels

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/api_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.APIGateway.Labels.List(context.TODO(), api_gateway.LabelListParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2014-01-01T05:20:00.12345Z",
      "description": "All endpoints that deal with logins",
      "last_updated": "2014-01-01T05:20:00.12345Z",
      "metadata": {
        "foo": "bar"
      },
      "name": "login",
      "source": "user",
      "mapped_resources": {
        "operations": 29
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2014-01-01T05:20:00.12345Z",
      "description": "All endpoints that deal with logins",
      "last_updated": "2014-01-01T05:20:00.12345Z",
      "metadata": {
        "foo": "bar"
      },
      "name": "login",
      "source": "user",
      "mapped_resources": {
        "operations": 29
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}